hotreloader 2.0.2
hotreloader: ^2.0.2 copied to clipboard

Dart native
Flutter Android iOS Linux macOS Windows

Automatic hot code reloader for Dart projects that monitors the source files of a Dart project for changes and automatically applies them to the running Dart process.

Changelog #

All notable changes to this project will be documented in this file.

The format is based on Keep a Changelog, and this project adheres to Semantic Versioning.

[Unreleased] #

[2.0.2] - 2020-10-19 #

  • support version 5.x of vm_service library

[2.0.1] - 2020-10-18 #

Fixed #

  • FormatException: Scheme not starting with alphabetic character with Dart 2.9 or higher

[2.0.0] - 2020-04-09 #

Added #

  • watch dependencies for source code changes

Changed #

  • support slightly older versions of dependencies

[1.0.0] - 2020-04-08 #

  • initial release
8
likes
80
pub points
34%
popularity

Publisher

vegardit.com

Automatic hot code reloader for Dart projects that monitors the source files of a Dart project for changes and automatically applies them to the running Dart process.

Repository (GitHub)
View/report issues

Documentation

Documentation
API reference

License

Apache 2.0 (LICENSE)

Dependencies

logging, path, stream_transform, vm_service, watcher

More

Packages that depend on hotreloader